Skip to content
Start here

List Target Environments

client.VulnerabilityScanner.TargetEnvironments.List(ctx, params) (*V4PagePaginationArray[TargetEnvironmentListResponse], error)
GET/accounts/{account_id}/vuln_scanner/target_environments

Returns all target environments for the account.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
ParametersExpand Collapse
params TargetEnvironmentListParams
AccountID param.Field[string]Optional

Path param: Identifier.

maxLength32
Page param.Field[int64]Optional

Query param: Page number of paginated results.

minimum1
PerPage param.Field[int64]Optional

Query param: Number of results per page.

maximum50
minimum5
ReturnsExpand Collapse
type TargetEnvironmentListResponse struct{…}
ID string

Target environment identifier.

formatuuid
Name string

Human-readable name.

Target TargetEnvironmentListResponseTarget

Identifies the Cloudflare asset to scan. Uses a type discriminator. Currently the service supports only zone targets.

Type TargetEnvironmentListResponseTargetType
ZoneTag string

Cloudflare zone tag. The zone must belong to the account.

maxLength32
Description stringOptional

Optional description providing additional context.

List Target Environments

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/vulnerability_scanner"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  page, err := client.VulnerabilityScanner.TargetEnvironments.List(context.TODO(), vulnerability_scanner.TargetEnvironmentListParams{
    AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", page)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "name": "Production Zone",
      "target": {
        "type": "zone",
        "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
      },
      "description": "Main production environment"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
      "name": "Production Zone",
      "target": {
        "type": "zone",
        "zone_tag": "d8e8fca2dc0f896fd7cb4cb0031ba249"
      },
      "description": "Main production environment"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}